from odoo import models, fields, api


class WhatsAppComposer(models.TransientModel):
    _inherit = 'whatsapp.composer'

    is_demo_account = fields.Boolean(compute='_compute_is_demo_account')

    @api.depends('wa_template_id.wa_account_id.phone_uid')
    def _compute_is_demo_account(self):
        for c in self:
            c.is_demo_account = c.wa_template_id.wa_account_id.phone_uid == 'odoo_demo_account'

    def open_whatsapp_config(self):
        return {
            'type': 'ir.actions.act_window',
            'name': 'WhatsApp Business Account',
            'view_mode': 'form',
            'res_model': 'whatsapp.account',
            'res_id': self.env.ref('saas_whatsapp.whatsapp_meta_account_odoo_demo_account').id,
            'target': 'current',
        }
